## node-cheerio 0.9.2-2

=== node_modules/cheerio-select/Makefile ===
test:
	@./node_modules/mocha/bin/mocha --reporter list

subl:
	@subl lib/ test/ package.json index.js

.PHONY: test subl

=== node_modules/htmlparser2/debian/changelog ===
node-htmlparser2 (2.3.0) unstable; urgency=low

  * Initial Release.

 -- Gabriele Santilli <gabriele@prolific.com>  Thu, 06 Sep 2012 18:53:35 +0200

## node-cheerio 1.0.0~rc~3+~cs6.22.23

=== Makefile ===
REPORTER = dot
XYZ = node_modules/.bin/xyz --message 'Release X.Y.Z' --tag X.Y.Z --repo git@github.com:cheeriojs/cheerio.git --script scripts/prepublish

lint:
	@./node_modules/.bin/jshint lib/ test/

test: lint
	@./node_modules/.bin/mocha --recursive --reporter $(REPORTER)

setup:
	@npm install

subl:
	@subl lib/ test/ package.json index.js

test-cov:
	@./node_modules/.bin/istanbul cover node_modules/.bin/_mocha -- --recursive --reporter $(REPORTER)

# Due to occasional unavailability of the code coverage reporting service, the
# exit status of the command in this recipe may optionally be ignored.
report-cov: test-cov
	@cat coverage/lcov.info | ./node_modules/.bin/coveralls || [ "$(OPTIONAL)" = "true" ]

travis-test: OPTIONAL = true
travis-test: lint report-cov
	@true

bench:
	@./benchmark/benchmark.js

.PHONY: release-major release-minor release-patch
release-major: LEVEL = major
release-minor: LEVEL = minor
release-patch: LEVEL = patch

release-major release-minor release-patch:
	@$(XYZ) --increment $(LEVEL)

.PHONY: test build setup subl

=== debian/changelog ===
node-cheerio (1.0.0~rc~3+~cs6.22.23-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 Jan 2021 21:26:17 +0530

node-cheerio (1.0.0~rc~3+~cs6.22.23-1) unstable; urgency=medium

  * Add ctype=nodejs to component(s)
  * Embed parse5-htmlparser2-tree-adapter
  * New upstream version 1.0.0~rc~3+~cs6.22.23 (Closes: #976607)
  * Update test patch
  * Update code to be compliant with recent parse5

 -- Xavier Guimard <yadd@debian.org>  Sat, 05 Dec 2020 20:33:51 +0100

node-cheerio (0.22.0-2) unstable; urgency=medium

  * Authorize beta versions in debian/watch

 -- Xavier Guimard <yadd@debian.org>  Tue, 24 Nov 2020 06:03:09 +0100

node-cheerio (0.22.0-1) unstable; urgency=low

  [ Paolo Greppi, Xavier Guimard ]
  * Initial release (Closes: #848315)

 -- Xavier Guimard <yadd@debian.org>  Mon, 23 Nov 2020 13:32:56 +0100

=== debian/control ===
Source: node-cheerio
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
 , Xavier Guimard <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
 , node-css-select <!nocheck>
 , node-dom-serializer <!nocheck>
 , node-entities <!nocheck>
 , node-expect.js <!nocheck>
 , node-htmlparser2 (>= 3.9.1) <!nocheck>
 , node-jsdom <!nocheck>
 , node-lodash-packages <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-cheerio
Vcs-Git: https://salsa.debian.org/js-team/node-cheerio.git
Homepage: https://github.com/cheeriojs/cheerio
Rules-Requires-Root: no

Package: node-cheerio
Architecture: all
Depends: ${misc:Depends}
 , node-css-select
 , node-dom-serializer
 , node-entities
 , node-htmlparser2 (>= 3.9.1)
 , node-jsdom
 , node-lodash-packages
 , nodejs
Provides: ${nodejs:Provides}
Description: Server-side jQuery implementation
 Node-js module providing a tiny, fast, flexible and elegant
 implementation of core jQuery designed specifically for the
 server.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
uversionmangle=s/\W([a-z])/~$1/g;s/([a-z])\W/$1~/,\
filenamemangle=s/.*\/v?([\d\w\-\.-]+)\.tar\.gz/node-cheerio-$1.tar.gz/ \
 https://github.com/cheeriojs/cheerio/tags .*/archive/v?([\d\.\-\w]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts=\
searchmode=plain,\
uversionmangle=s/\W([a-z])/~$1/g;s/([a-z])\W/$1~/,\
ctype=nodejs,\
component=types-cheerio,\
pgpmode=none \
 https://registry.npmjs.org/@types/cheerio https://registry.npmjs.org/@types/cheerio/-/cheerio-([\d\.\w\-]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=parse5-htmlparser2-tree-adapter,ctype=nodejs,pgpmode=none" \
 https://registry.npmjs.org/parse5-htmlparser2-tree-adapter https://registry.npmjs.org/parse5-htmlparser2-tree-adapter/-/parse5-htmlparser2-tree-adapter-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-cheerio 1.0.0~rc~5+~cs6.1.2

=== Makefile ===
REPORTER = dot
XYZ = node_modules/.bin/xyz --message 'Release X.Y.Z' --tag X.Y.Z --repo git@github.com:cheeriojs/cheerio.git --script scripts/prepublish
UPSTREAM = git@github.com:cheeriojs/cheerio.git

lint:
	@npm run test:lint

types:
	@npm run test:types

test:
	@npm run test

setup:
	@npm install

subl:
	@subl lib/ test/ package.json index.js

test-cov:
	@./node_modules/.bin/nyc node_modules/.bin/_mocha -- --recursive --reporter $(REPORTER)

# Due to occasional unavailability of the code coverage reporting service, the
# exit status of the command in this recipe may optionally be ignored.
report-cov: test-cov
	@./node_modules/.bin/nyc report --reporter=text-lcov | ./node_modules/.bin/coveralls || [ "$(OPTIONAL)" = "true" ]

travis-test: OPTIONAL = true
travis-test: lint types report-cov
	@true

bench:
	@./benchmark/benchmark.js

.PHONY: release-major release-minor release-patch
release-major: LEVEL = major
release-minor: LEVEL = minor
release-patch: LEVEL = patch

release-major release-minor release-patch:
	@$(XYZ) --increment $(LEVEL)

.PHONY: test build setup subl

=== debian/changelog ===
node-cheerio (1.0.0~rc~5+~cs6.1.2-4) unstable; urgency=medium

  * Source-only upload

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 Jan 2021 20:13:33 +0100

node-cheerio (1.0.0~rc~5+~cs6.1.2-3) unstable; urgency=medium

  * Binary upload to avoid circular test dependencies

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 Jan 2021 09:56:55 +0100

node-cheerio (1.0.0~rc~5+~cs6.1.2-2) unstable; urgency=medium

  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Sat, 09 Jan 2021 22:06:22 +0100

node-cheerio (1.0.0~rc~5+~cs6.1.2-1) experimental; urgency=medium

  * Components:
    + Remove @types/cheerio (ts definitions are embedded now)
    + Embed cheerio-select-tmp
  * New upstream version 1.0.0~rc~5+~cs6.1.2
  * Drop patches
  * Update minimal version of dependencies
  * Drop dependency to nodejs

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 Jan 2021 18:02:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,19 @@
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 12)
  , dh-sequence-nodejs
  , mocha <!nocheck>
- , node-css-select <!nocheck>
- , node-dom-serializer <!nocheck>
+ , node-css-select (>= 3.1.2~) <!nocheck>
+ , node-css-what (>= 4.0.0~) <!nocheck>
+ , node-domelementtype (>= 2.1.0~) <!nocheck>
+ , node-domhandler (>= 4.0.0~) <!nocheck>
+ , node-dom-serializer (>= 1.2.0~) <!nocheck>
+ , node-domutils (>= 2.4.4~) <!nocheck>
  , node-entities <!nocheck>
  , node-expect.js <!nocheck>
- , node-htmlparser2 (>= 3.9.1) <!nocheck>
+ , node-htmlparser2 (>= 6.0.0~) <!nocheck>
  , node-jsdom <!nocheck>
- , node-lodash-packages <!nocheck>
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-cheerio
 Vcs-Git: https://salsa.debian.org/js-team/node-cheerio.git
@@ -24,13 +27,15 @@
 Package: node-cheerio
 Architecture: all
 Depends: ${misc:Depends}
- , node-css-select
+ , node-css-select (>= 3.1.2~)
+ , node-css-what (>= 4.0.0~)
  , node-dom-serializer
+ , node-domelementtype (>= 2.1.0~)
+ , node-domhandler (>= 4.0.0~)
+ , node-domutils (>= 2.4.4~)
  , node-entities
- , node-htmlparser2 (>= 3.9.1)
+ , node-htmlparser2 (>= 6.0.0~)
  , node-jsdom
- , node-lodash-packages
- , nodejs
 Provides: ${nodejs:Provides}
 Description: Server-side jQuery implementation
  Node-js module providing a tiny, fast, flexible and elegant

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
uversionmangle=s/\W([a-z])/~$1/g;s/([a-z])\W/$1~/,\
filenamemangle=s/.*\/v?([\d\w\-\.-]+)\.tar\.gz/node-cheerio-$1.tar.gz/ \
 https://github.com/cheeriojs/cheerio/tags .*/archive/v?([\d\.\-\w]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=parse5-htmlparser2-tree-adapter,ctype=nodejs,pgpmode=none" \
 https://registry.npmjs.org/parse5-htmlparser2-tree-adapter https://registry.npmjs.org/parse5-htmlparser2-tree-adapter/-/parse5-htmlparser2-tree-adapter-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=cheerio-select-tmp,ctype=nodejs,pgpmode=none" \
 https://registry.npmjs.org/cheerio-select-tmp https://registry.npmjs.org/cheerio-select-tmp/-/cheerio-select-tmp-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-cheerio 1.0.0~rc~10%2B~cs13.5.2

=== debian/control ===
Source: node-cheerio
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>, Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , jest <!nocheck>
 , node-css-select (>= 3.1.2~) <!nocheck>
 , node-css-what (>= 4.0.0~) <!nocheck>
 , node-dom-serializer (>= 1.2.0~) <!nocheck>
 , node-domelementtype (>= 2.1.0~) <!nocheck>
 , node-domhandler (>= 4.2.0~) <!nocheck>
 , node-domutils (>= 2.4.4~) <!nocheck>
 , node-entities <!nocheck>
 , node-expect.js <!nocheck>
 , node-htmlparser2 (>= 6.1.0~) <!nocheck>
 , node-types-parse5
 , node-jsdom (>= 18) <!nocheck>
 , node-tslib
 , node-typescript
 , ts-jest <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-cheerio
Vcs-Git: https://salsa.debian.org/js-team/node-cheerio.git
Homepage: https://github.com/cheeriojs/cheerio
Rules-Requires-Root: no

Package: node-cheerio
Architecture: all
Depends: ${misc:Depends}
 , node-css-select (>= 3.1.2~)
 , node-css-what (>= 4.0.0~)
 , node-dom-serializer (>= 1.2.0~)
 , node-domelementtype (>= 2.1.0~)
 , node-domhandler (>= 4.2.0~)
 , node-domutils (>= 2.4.4~)
 , node-entities
 , node-htmlparser2 (>= 6.1.0~)
 , node-jsdom (>= 18)
 , node-tslib
Provides: ${nodejs:Provides}
Description: Server-side jQuery implementation
 Node-js module providing a tiny, fast, flexible and elegant
 implementation of core jQuery designed specifically for the
 server.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-cheerio 1.0.0~rc~10+~cs13.5.2

=== debian/changelog ===
node-cheerio (1.0.0~rc~10+~cs13.5.2-6) unstable; urgency=medium

  * Fix build: move jest-diff to debian/nodejs/extcopies

 -- Yadd <yadd@debian.org>  Mon, 06 Dec 2021 10:09:18 +0100

node-cheerio (1.0.0~rc~10+~cs13.5.2-5) unstable; urgency=medium

  [ Yadd ]
  * Fix debian/watch

  [ Gianfranco Costamagna ]
  * Update typescript patch (Closes: #1000425)

 -- Yadd <yadd@debian.org>  Tue, 23 Nov 2021 06:27:56 +0100

node-cheerio (1.0.0~rc~10+~cs13.5.2-4) unstable; urgency=medium

  * Fix dependencies (missing node-ts-lib)
  * Fix autopkgtest
  * Add lintian overrides
  * Update copyright

 -- Yadd <yadd@debian.org>  Mon, 18 Oct 2021 21:54:22 +0200

node-cheerio (1.0.0~rc~10+~cs13.5.2-3) unstable; urgency=medium

  * Binary upload to avoid test circular dependencies

 -- Yadd <yadd@debian.org>  Sun, 17 Oct 2021 07:57:38 +0200

node-cheerio (1.0.0~rc~10+~cs13.5.2-2) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 16 Oct 2021 08:31:06 +0200

node-cheerio (1.0.0~rc~10+~cs13.5.2-1) experimental; urgency=medium

  * Fix GitHub tags regex
  * Declare compliance with policy 4.6.0
  * Update test: jest instead of mocha
  * Components: replace cheerio-select-tmp by cheerio-select, add
    @types/parse5-htmlparser2-tree-adapter
  * New upstream version 1.0.0~rc~10+~cs13.5.2
  * Build with tsc
  * Add patch to workaround tsc update
  * Update minimal dependency versions

 -- Yadd <yadd@debian.org>  Fri, 15 Oct 2021 06:52:55 +0200

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
uversionmangle=s/\W([a-z])/~$1/g;s/([a-z])\W/$1~/,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-cheerio-$1/ \
 https://github.com/cheeriojs/cheerio/tags .*/archive/.*/v?([\d\.\-\w]+)@ARCHIVE_EXT@ group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=parse5-htmlparser2-tree-adapter,ctype=nodejs,pgpmode=none,filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/node-parse5-htmlparser2-tree-adapter-$1/" \
 https://registry.npmjs.org/parse5-htmlparser2-tree-adapter https://registry.npmjs.org/parse5-htmlparser2-tree-adapter/-/parse5-htmlparser2-tree-adapter-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-parse5-htmlparser2-tree-adapter,ctype=nodejs,pgpmode=none,filenamemangle=s/.*?(\d[\d\.]+@ARCHIVE_EXT@)/node-parse5-htmlparser2-tree-adapter-$1/" \
 https://registry.npmjs.org/@types/parse5-htmlparser2-tree-adapter https://registry.npmjs.org/@types/parse5-htmlparser2-tree-adapter/-/parse5-htmlparser2-tree-adapter-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=cheerio-select,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-cheerio-select-$1/ \
 https://github.com/cheeriojs/cheerio-select/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

## node-cheerio 1.0.0~rc~12+~cs2.1.0

=== debian/changelog ===
node-cheerio (1.0.0~rc~12+~cs2.1.0-4) unstable; urgency=medium

  * Team upload.
  * Add patch for typescript 5.0 compatiility (Closes: #1090010)

 -- Ananthu C V <weepingclown@debian.org>  Mon, 25 Aug 2025 19:39:52 +0530

node-cheerio (1.0.0~rc~12+~cs2.1.0-3) unstable; urgency=medium

  * Add fix for jest 29

 -- Yadd <yadd@debian.org>  Tue, 18 Oct 2022 15:53:49 +0200

node-cheerio (1.0.0~rc~12+~cs2.1.0-2) unstable; urgency=medium

  * Add dependency to node-parse5-htmlparser2-tree-adapter

 -- Yadd <yadd@debian.org>  Thu, 07 Jul 2022 10:05:23 +0200

node-cheerio (1.0.0~rc~12+~cs2.1.0-1) unstable; urgency=medium

  * New upstream version 1.0.0~rc~12+~cs2.1.0
  * Drop patches, upstream updated its configuration for jest 28
  * Require jsdom >= 20

 -- Yadd <yadd@debian.org>  Mon, 27 Jun 2022 12:34:01 +0200

node-cheerio (1.0.0~rc~11+~cs2.1.0-3) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 27 Jun 2022 09:17:38 +0200

node-cheerio (1.0.0~rc~11+~cs2.1.0-2) experimental; urgency=medium

  * Add missing link to parse5-htmlparser2-tree-adapter

 -- Yadd <yadd@debian.org>  Sun, 26 Jun 2022 16:10:45 +0200

node-cheerio (1.0.0~rc~11+~cs2.1.0-1) experimental; urgency=medium

  * New upstream version 1.0.0~rc~11+~cs2.1.0
  * Drop fix-test-for-last-domutils.patch, now included in upstream
  * Update lintian overrides
  * Update minimal dependency versions
  * Update typescript links
  * Add patch to fix jest configuration

 -- Yadd <yadd@debian.org>  Sun, 26 Jun 2022 08:55:32 +0200

node-cheerio (1.0.0~rc~10+repack-3) unstable; urgency=medium

  * Declare compliance with policy 4.6.1
  * Fix build links (Closes: #1011839)

 -- Yadd <yadd@debian.org>  Sat, 28 May 2022 08:29:35 +0200

node-cheerio (1.0.0~rc~10+repack-2) unstable; urgency=medium

  * Team upload
  * Fix tsc for last node-domutils

 -- Yadd <yadd@debian.org>  Mon, 02 May 2022 16:18:07 +0200

node-cheerio (1.0.0~rc~10+repack-1) unstable; urgency=medium

  * Team upload
  * Drop component parse5-htmlparser2-tree-adapter (Closes: #1007117)

 -- Yadd <yadd@debian.org>  Sat, 12 Mar 2022 07:43:34 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=nodejs
	tsc

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
uversionmangle=s/\W([a-z])/~$1/g;s/([a-z])\W/$1~/,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-cheerio-$1/ \
 https://github.com/cheeriojs/cheerio/tags .*/archive/.*/v?([\d\.\-\w]+)@ARCHIVE_EXT@ group

opts=\
component=cheerio-select,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-cheerio-select-$1/ \
 https://github.com/cheeriojs/cheerio-select/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum
